---
title: FontFaceSet.ready
slug: Web/API/FontFaceSet/ready
tags:
  - API
  - CSSFontLoading API
  - CSSOM
  - Experimental
  - FontFaceSet
  - Fonts
  - Property
  - Ready
  - Reference
---
<p>{{APIRef("CSSFontLoading")}}{{SeeCompatTable}}{{draft}}</p>

<p>The <code>ready</code> readonly property of the {{domxref("FontFaceSet")}} interface returns a {{jsxref("Promise")}} that resolves to the given {{domxref("FontFaceSet")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">fontFaceSet.ready.then(function(fontFaceSet) {
  // ...
});</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to the given {{domxref("FontFaceSet")}}.</p>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#dom-fontfaceset-ready','FontFaceSet')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FontFaceSet.ready")}}</p>
</div>
